#! /bin/sh

#set -x
#no_remove="no_remove"
vdrcutter2="true"

VIDEO_REC_DIR_ESC="\/video\/"
VIDEO_REC_DIR="/video"

THISDIR="/video/repackmpeg2"

cd $THISDIR

function repackmpeg2_forall_xform_lst()
{

if [ -e xform.lst.lock ] ; then
	echo xform allready running .. 
	exit 1;
fi

touch xform.lst.lock

if [ -e xform.lst ] ; then

mv xform.lst xform.lst.run
touch xform.lst

while read mode deletesrc requantf rec_directory ; do 
	
	echo 
	echo 
	echo 
	echo WORKING ON $rec_directory
	echo mode $mode
	echo deletesrc $deletesrc
	echo requantf $requantf

	mname_bdir=$(echo $rec_directory | sed -e "s/$VIDEO_REC_DIR_ESC//g" -e 's/\/.*$//g')
	mname_top_dir="$VIDEO_REC_DIR"/$(echo $rec_directory | sed -e "s/$VIDEO_REC_DIR_ESC//g" -e 's/\/.*$//g')
	mname=$(echo $rec_directory | sed -e "s/$VIDEO_REC_DIR_ESC//g" -e 's/\//__/g' -e 's/_(.*)//g' -e 's/%//g')
	
	ok=0

        if [ "$vdrcutter2" = "true" ] ; then

	    #
	    # let vdrcutter2 cut the files !
	    #
	    echo repackmpeg2 START - $mname
	    ./repackmpeg2.sh $mname $requantf $deletesrc vdrcutter2 $rec_directory $mode && ok=1

        else

	    #
	    # we assume allready cut files !
	    #

	    ifiles=$rec_directory/00*.vdr

	    if [ "$mode" = "split" ] ; then
		for j in $ifiles ; do
			mname_s="$mname"_$(basename $j .vdr)
			echo repackmpeg2 START - $mname_s
		        ./repackmpeg2.sh $mname_s $requantf $deletesrc $j && ok=1
		done
	    else
		echo repackmpeg2 START - $mname
	        ./repackmpeg2.sh $mname $requantf $deletesrc $ifiles      && ok=1
	    fi
        fi

	if [ $ok -eq 0 ] ; then 
		echo repackmpeg2 failed - $mname
	elif [ "$deletesrc" = "1" -o "$deletesrc" = "true" -o "$deletesrc" = "yes" ] ; then
		echo del source $rec_directory
		if [ -z "$no_remove" ] ; then rm -rf $rec_directory ; fi
		dname=$(dirname $rec_directory)
		while test "$dname" != "$VIDEO_REC_DIR" ; do
			dsize=$(du -s $dname | awk '{ print $1; }' )
			if [ $dsize -eq 0 ] ; then
				echo del empty $dname
				if [ -z "$no_remove" ] ; then rm -rf $dname ; fi
				dname=$(dirname $dname)
			else
				break;
			fi
		done
	else
		echo OK - $mname - keep source
	fi
done < xform.lst.run

rm -f xform.lst.run

fi # test  -e xform.lst 

du -hsc $THISDIR/vobs/* >> $THISDIR/repackmpeg2_vdr.log 2>&1 &

rm -f xform.lst.lock

}

repackmpeg2_forall_xform_lst >> $THISDIR/repackmpeg2_vdr.log 2>&1 &
disown $!

